Name:           berusky2
Version:        0.10
Release:        %mkrel 5
License:        GPLv2+
Summary:        Bugs Escape 3D - Advanced Sokoban clone with nice sceneries
Group:          Games/Puzzles
URL:            http://anakreon.cz/?q=node/2
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         berusky2-0.10-mga-set-global-ini-file-path.patch
Patch1:         berusky2-0.10-mga-desktop.patch

BuildRequires:  pkgconfig(freealut)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(vorbis)
Requires:       %{name}-data >= 0.9-5

%description
Berusky 2 (Bugs Escape 3D) is a game that challenges your visual/spatial
thinking and ability to find a way to resolve a logic task. Using five bugs,
you'll go through an adventure full of various puzzles spread across
nine episodes. Individual episodes differ in appearance and difficulty,
which increases throughout the game.

%prep
%setup -q
%autopatch -p1

# fix build with new automake 1.13
sed -i -e 's,AM_CONFIG_HEADER,AC_CONFIG_HEADERS,g' -e 's,AM_PROG_CC_STDC,AC_PROG_CC,g' configure.*

# Fix paths in config file
sed -i 's@/usr/share/berusky2@%{_gamesdatadir}/%{name}@g' data/berusky3d.ini
sed -i 's@Berusky2.exe@berusky@g' data/berusky3d.ini

%build
autoreconf -fi
%configure2_5x --bindir=%{_gamesbindir}
%make

%install
%makeinstall_std

# Remove documentation from a wrong path
rm -fR %{buildroot}%{_prefix}/doc/

# Install ini file
mkdir -p %{buildroot}%{_sysconfdir}/%{name}
mv %{buildroot}%{_datadir}/%{name}/berusky3d.ini %{buildroot}%{_sysconfdir}/%{name}

# Install icon and desktop file
mkdir -p %{buildroot}%{_iconsdir}/hicolor/32x32/apps
mv %{buildroot}%{_datadir}/%{name}/%{name}.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps

# Install .desktop file
mkdir -p %{buildroot}%{_datadir}/applications
mv %{buildroot}%{_datadir}/%{name}/%{name}.desktop %{buildroot}%{_datadir}/applications

# Remove unused files and create dir that will hold the data
rm -rf %{buildroot}%{_datadir}/%{name}/
mkdir -p %{buildroot}%{_gamesdatadir}/%{name}

%files
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_gamesbindir}/%{name}
%dir %{_gamesdatadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%config %{_sysconfdir}/%{name}/berusky3d.ini


%changelog
* Fri Feb 05 2016 umeabot <umeabot> 0.10-5.mga6
+ Revision: 938281
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.10-4.mga5
+ Revision: 744975
- Second Mageia 5 Mass Rebuild

* Sat Oct 04 2014 akien <akien> 0.10-3.mga5
+ Revision: 736819
- Move data to %%_gamesdatadir and binary to %%_gamesbindir
- Set config file as such (to save it as .rpmsave on updates)

* Tue Sep 16 2014 umeabot <umeabot> 0.10-2.mga5
+ Revision: 678143
- Mageia 5 Mass Rebuild

* Thu Feb 20 2014 akien <akien> 0.10-1.mga5
+ Revision: 595124
- New version 0.10: https://raw2.github.com/stransky/berusky2/berusky2-0.10/NEWS
- Drop pthread patch, fixed upstream: https://github.com/stransky/berusky2/issues/23

* Sat Oct 19 2013 umeabot <umeabot> 0.9-2.mga4
+ Revision: 525636
- Mageia 4 Mass Rebuild

* Sat Jun 01 2013 fwang <fwang> 0.9-1.mga4
+ Revision: 433922
- new version 0.9

* Fri Jan 11 2013 umeabot <umeabot> 0.8-3.mga3
+ Revision: 346895
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 wally <wally> 0.8-2.mga3
+ Revision: 336526
- fix build with new automake 1.13

* Sat Dec 22 2012 kamil <kamil> 0.8-1.mga3
+ Revision: 334024
- remove P1 glut.patch, merged upstream
- new version 0.8

* Sat Dec 01 2012 kamil <kamil> 0.7-2.mga3
+ Revision: 324334
- rebuild for Mga3 Beta1

* Fri Aug 03 2012 kamil <kamil> 0.7-1.mga3
+ Revision: 278039
- new P2 mga-link-against-pthread.patch
- new version 0.7
- new P1: to fix build "fdr-glut.patch"
- new Source0
- update BR

* Tue Feb 07 2012 kamil <kamil> 0.5-3.mga2
+ Revision: 205789
- adapt .spec for Mageia
- imported package berusky2


* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Sep 7 2011 Martin Stransky <stransky@redhat.com> 0.5-1
- Updated to 0.5

* Tue Aug 30 2011 Martin Stransky <stransky@redhat.com> 0.4-1
- new upstream version
- spec clean-up (by Richard Shaw)

* Mon Aug 22 2011 Martin Stransky <stransky@redhat.com> 0.3-3
- spec polished

* Mon Aug 15 2011 Martin Stransky <stransky@redhat.com> 0.3-2
- fixed ini file location

* Mon Aug 15 2011 Martin Stransky <stransky@redhat.com> 0.3-1
- initial build
